## org.apache.fop.fo.pagination
Class PageSequenceMaster

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.pagination.PageSequenceMaster

public class PageSequenceMaster
extends FObj

Inner Class Summary
`static class` `PageSequenceMaster.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`protected` `PageSequenceMaster(FObj parent, PropertyList propertyList)`

Method Summary
`protected void` `addSubsequenceSpecifier(SubSequenceSpecifier pageMasterReference)`
`protected SubSequenceSpecifier` `getSubSequenceSpecifier(int sequenceNumber)`
`protected int` `getSubSequenceSpecifierCount()`
`static FObj.Maker` `maker()`
`void` `reset()`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, layout, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageSequenceMaster

    protected PageSequenceMaster(FObj parent,
                                 PropertyList propertyList)
                          throws FOPException

Method Detail

### maker

    public static FObj.Maker maker()

### addSubsequenceSpecifier

    protected void addSubsequenceSpecifier(SubSequenceSpecifier pageMasterReference)

### getSubSequenceSpecifier

    protected SubSequenceSpecifier getSubSequenceSpecifier(int sequenceNumber)

### getSubSequenceSpecifierCount

    protected int getSubSequenceSpecifierCount()

### reset

    public void reset()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.